org.gradle.platform.base

## Interface DependencySpecBuilder

- All Superinterfaces:
    DependencySpec

      public interface DependencySpecBuilder
      extends DependencySpec

  Interface for a dependency spec builder. Implementations are required to return immutable dependency specs.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencySpec` | `build()` Builds a concrete immutable `DependencySpec` instance.
    `DependencySpecBuilder` | `library(String name)` Narrows this dependency specification down to a specific library.
    `DependencySpecBuilder` | `project(String path)` Narrows this dependency specification down to a specific project.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpec

      `getLibraryName, getProjectPath`

- - ### Method Detail

    - #### project

          DependencySpecBuilder project(String path)

      Narrows this dependency specification down to a specific project.
      Parameters:
        `path` - the project path
      Returns:
        this instance

    - #### library

          DependencySpecBuilder library(String name)

      Narrows this dependency specification down to a specific library.
      Parameters:
        `name` - the library name
      Returns:
        this instance

    - #### build

          DependencySpec build()

      Builds a concrete immutable `DependencySpec` instance.
      Returns:
        an immutable dependency specification